libspreadsheet-read-perl_0.54-1_all.deb


Advertisement

Description

libspreadsheet-read-perl - reader for common spreadsheet formats

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libspreadsheet-read-perl
Package version 0.54
Package release 1
Package architecture all
Package type deb
Installed size 106 B
Download size 35.20 KB
Official Mirror ftp.br.debian.org
Spreadsheet::Read is a Perl module that tries to transparently read arbitrary
spreadsheet files and return its content in a universal manner independent of
the parsing module that does the actual spreadsheet scanning.
For Microsoft Excel, this module uses Spreadsheet::XLSX (for newer files; see
the libspreadsheet-xlsx-perl package) or Spreadsheet::ParseExcel (available
in libspreadsheet-parseexcel-perl)
For Comma-Separated Value (CSV) files, this module uses Text::CSV (either the
pure perl version in libtext-csv-perl, or, if available, the XS-accelerated
version packaged as libtext-csv-xs-perl).
For SquirrelCalc, there is a very simplistic built-in parser.

Alternatives

Package Version Architecture Repository
libspreadsheet-read-perl_0.54-1_all.deb 0.54 all Debian Main
libspreadsheet-read-perl - - -

Requires

Name Value
libdata-peek-perl -
libio-stringy-perl -
perl -

Download

Type URL
Binary Package libspreadsheet-read-perl_0.54-1_all.deb
Source Package libspreadsheet-read-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libspreadsheet-read-perl deb package:
    # sudo apt-get install libspreadsheet-read-perl

Files

Path
/usr/share/doc/libspreadsheet-read-perl/changelog.Debian.gz
/usr/share/doc/libspreadsheet-read-perl/changelog.gz
/usr/share/doc/libspreadsheet-read-perl/copyright
/usr/share/doc/libspreadsheet-read-perl/examples/ss-dups-tk.pl.gz
/usr/share/doc/libspreadsheet-read-perl/examples/ss2tk
/usr/share/doc/libspreadsheet-read-perl/examples/xls2csv
/usr/share/doc/libspreadsheet-read-perl/examples/xlscat.gz
/usr/share/man/man3/Spreadsheet::Read.3pm.gz
/usr/share/perl5/Spreadsheet/Read.pm

Changelog

2014-05-05 - gregor herrmann <gregoa@debian.org>
libspreadsheet-read-perl (0.54-1) unstable; urgency=low
[ Nicholas Bamber ]
* New upstream release 0.45
* Raised standards version to 3.9.2
* Removed redundant version dependencies
* Updated copyright
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* New upstream release 0.46.
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* debian/control: remove Nicholas Bamber from Uploaders on request of
the MIA team.
* Strip trailing slash from metacpan URLs.
* New upstream release 0.54.
* Update build and runtime dependencies.
* debian/rules: set AUTOMATED_TESTING=1 for dh_auto_configure. This
avoids installation of the example scripts and a generated symlink.
* Update years of copyright.
* Declare compliance with Debian Policy 3.9.5.
2010-10-12 - Nicholas Bamber <nicholas@periapt.co.uk>
libspreadsheet-read-perl (0.41-1) unstable; urgency=low
[ Nicholas Bamber ]
* Added myself to Uploaders 
* New upstream release
* Upped standards version to 3.9.1
* Refreshed copyright
* Refreshed interpreter patch and removed spelling patch
[ gregor herrmann ]
* debian/control: bump version for some (build) dependencies according to
new upstream requirements.
2010-05-21 - gregor herrmann <gregoa@debian.org>
libspreadsheet-read-perl (0.40-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
[ gregor herrmann ]
* Update (build) dependency versions as per upstream.
* Update DEP3 patch headers.
2010-03-28 - gregor herrmann <gregoa@debian.org>
libspreadsheet-read-perl (0.39-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Standards-Version 3.8.4 (no changes)
* Use new 3.0 (quilt) source format
* Update to DEP5 copyright format
+ Update years of copyright
* Replace patch with override to fix shebang lines
[ gregor herrmann ]
* Bump some versioned dependencies according to new upstream requirements.
* Add a patch to fix a spelling mistake in the POD.
* Resurrect the part of interpreter.patch that does not act on the examples.
2009-12-15 - Jonathan Yu <jawnsy@cpan.org>
libspreadsheet-read-perl (0.38-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Add row() and cellrow()
[ gregor herrmann ]
* debian/control: bump some versioned (build) dependencies as per new
upstream requirements.
2009-11-10 - Jonathan Yu <jawnsy@cpan.org>
libspreadsheet-read-perl (0.37-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Update dependencies per upstream
* Standards-Version 3.8.3 (drop perl version dependency)
* Rewrite control description
* Add myself to Uploaders and Copyright
[ Ryan Niebur ]
* Update ryan52's email address
2009-06-26 - gregor herrmann <gregoa@debian.org>
libspreadsheet-read-perl (0.35-1) unstable; urgency=low
[ Ryan Niebur ]
* New upstream release (closes: #526567)
* Add myself to Uploaders
* Debian Policy 3.8.1
* Add build dep on libtest-nowarnings-perl
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ gregor herrmann ]
* Minimize debian/rules, bump versioned build dependencies; activate
AUTOMATED_TESTING.
* Set Standards-Version to 3.8.2 (no changes).
* Refresh patch.
* Add a build dependency on libtest-simple-perl >= 0.88, the test suite now
uses a feature in a newer Test::More than the one included in perl-modules.
* Bump versioned (build) dependencies on several prerequisites.
2009-01-29 - gregor herrmann <gregoa@debian.org>
libspreadsheet-read-perl (0.34-1) unstable; urgency=low
* New upstream release.
* debian/control: bump versioned (build) dependencies.
* Add padding 0s to the required versions of libspreadsheet-parseexcel-perl,
otherwise 0.3300 >> 0.49.

See Also

Package Description
libspreadsheet-wright-perl_0.105-1_all.deb simple spreadsheet worker
libspreadsheet-writeexcel-perl_2.40-1_all.deb module to create Excel spreadsheets
libspreadsheet-xlsx-perl_0.13-1_all.deb Perl extension for reading MS Excel 2007 files
libspring-aop-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - AOP
libspring-beans-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - Beans
libspring-build-java_2.7.0-2_all.deb Ant tasks for Spring Build module
libspring-context-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - Context
libspring-context-support-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - Context Support
libspring-core-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - Core
libspring-expression-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - Expression language
libspring-instrument-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - Instrumentation
libspring-jdbc-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - JDBC tools
libspring-jms-java_3.0.6.RELEASE-17_all.deb modular Java/J2EE application framework - JMS tools
libspring-js-2.0-java_2.0.9.RELEASE-6_all.deb server-side Javascript abstraction framework
libspring-ldap-java-doc_1.3.1.RELEASE-5+deb8u1_all.deb documentation for libspring-ldap-java
Advertisement
Advertisement